Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 4107)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 4108)
@@ -88,5 +88,4 @@
    PRIVATE
 
-   PUBLIC   nemo_gcm    ! called by model.F90
    PUBLIC   nemo_init   ! needed by AGRIF
    PUBLIC   nemo_alloc  ! needed by TAM
Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 4107)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 4108)
@@ -181,10 +181,10 @@
          sshn(:,:) = fbrmdi 
       ELSE
-         WRITE(*,*) "Opening :", TRIM(filename)
+         WRITE(numout,*) "Opening :", TRIM(filename)
          ! Open Netcdf file to find dimension id
          istat = nf90_open(path=TRIM(filename), mode=nf90_nowrite, ncid=ncid)
          IF ( istat /= nf90_noerr ) THEN
-             WRITE(*,*) "WARNING: Could not open ", trim(filename)
-             WRITE(*,*) "ERROR: ", nf90_strerror(istat)
+             WRITE(numout,*) "WARNING: Could not open ", trim(filename)
+             WRITE(numout,*) "ERROR: ", nf90_strerror(istat)
          ENDIF
          istat = nf90_inq_dimid(ncid,'x',xdim)
@@ -265,5 +265,5 @@
          ENDIF
          ! Close netcdf file
-         WRITE(*,*) "Closing :", TRIM(filename)
+         WRITE(numout,*) "Closing :", TRIM(filename)
          istat = nf90_close(ncid)
       END IF
Index: branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90
===================================================================
--- branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 4107)
+++ branches/2013/dev_r3987_UKMO4_OBS/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 4108)
@@ -3,4 +3,5 @@
    !!                       ***  MODULE ooo_write  ***
    !!======================================================================
+   USE in_out_manager
    USE netcdf
    USE obs_utils, ONLY: chkerr
@@ -194,50 +195,40 @@
          ! longitude
          cvar = 'longitude'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, plam),cpname, __LINE__ )
          ! latitude
          cvar = 'latitude'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, pphi),cpname, __LINE__ )
          ! depth
          cvar = 'depth'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, pdep),cpname, __LINE__ )
          ! varname
          cvar = 'varname'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, cvnam),cpname, __LINE__ )
          ! unitname
          cvar = 'unitname'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, cunit),cpname, __LINE__ )
          ! leadtime
          cvar = 'leadtime'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, plead),cpname, __LINE__ )
          ! observation
          cvar = 'observation'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, pob),cpname, __LINE__ )
          ! qc
          cvar = 'qc'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, kqc),cpname, __LINE__ )
          ! juld
          cvar = 'juld'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, ptim),cpname, __LINE__ )
          ! type
          cvar = 'type'
-         WRITE(*,*) TRIM(cvar)
          CALL inst_converter(cdtyp,nobs,cdpad)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
@@ -245,5 +236,4 @@
          ! id
          cvar = 'id'
-         WRITE(*,*) TRIM(cvar)
          CALL chkerr(nf90_inq_varid(ncid,TRIM(cvar), varid),cpname, __LINE__ )
          CALL chkerr(nf90_put_var(ncid, varid, cdwmo),cpname, __LINE__ )
@@ -346,5 +336,5 @@
          istat = nf90_open(TRIM(cdfilename), nf90_nowrite, ncid)
          IF (istat /= nf90_noerr) THEN
-            WRITE(*, *) TRIM(cdfilename)
+            IF (lwp) WRITE(numout, *) TRIM(cdfilename), ' opened successfully.'
             CALL chkerr( nf90_create(TRIM(cdfilename), nf90_clobber, ncid), cpname, __LINE__ )
             !! Global Dimension section
@@ -395,5 +385,4 @@
             !  Forecast day
             cvar = 'leadtime'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dimid_f, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -409,5 +398,4 @@
             !  longitude
             cvar = 'longitude'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dimid_o, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -420,5 +408,4 @@
             !  latitude
             cvar = 'latitude'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dimid_o, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -430,5 +417,4 @@
             !  depth
             cvar = 'depth'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim2a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -442,5 +428,4 @@
             !  varname
             cvar = 'varname'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_char, dim2c, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -450,5 +435,4 @@
             !  unitname
             cvar = 'unitname'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_char, dim2c, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -458,5 +442,4 @@
             !  observation
             cvar = 'observation'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -467,5 +450,4 @@
             !  forecast
             cvar = 'forecast'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim4a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -479,5 +461,4 @@
             !  persistence
             cvar = 'persistence'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim4a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -491,5 +472,4 @@
             !  climatology
             cvar = 'climatology'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -503,5 +483,4 @@
             !  daym2
             cvar = 'best_estimate'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -515,5 +494,4 @@
             !  daym1
             cvar = 'nrt_analysis'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -529,5 +507,4 @@
                !  mdt
                cvar = 'mdt_reference'
-               WRITE(*,*) TRIM(cvar)
                CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
                CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -541,5 +518,4 @@
                !  altbias
                cvar = 'altimeter_bias'
-               WRITE(*,*) TRIM(cvar)
                CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dim3a, varid), cpname, __LINE__ )
                CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -551,5 +527,4 @@
             !  qc
             cvar = 'qc'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_short, dim3a, varid), cpname, __LINE__ )
             CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', NF90_FILL_SHORT), cpname, __LINE__ )
@@ -568,5 +543,4 @@
 !            !  juld
             cvar = 'juld'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_double, dimid_o, varid), cpname, __LINE__ )
 !            CALL chkerr(nf90_put_att(ncid, varid, '_FillValue', clrmdi), cpname, __LINE__ )
@@ -581,5 +555,4 @@
             !  modeljuld 
             cvar = 'modeljuld'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_float, dimid_f, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -592,5 +565,4 @@
             !  type
             cvar = 'type'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_char, dim2d, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -600,5 +572,4 @@
             !  id
             cvar = 'id'
-            WRITE(*,*) TRIM(cvar)
             CALL chkerr(nf90_def_var(ncid, TRIM(cvar), nf90_char, dim2b, varid), cpname, __LINE__ )
             cattnam = 'long_name'
@@ -609,5 +580,5 @@
             CALL chkerr(nf90_close(ncid), cpname, __LINE__ )
          ELSE
-            WRITE(*, *) cdfilename, 'already exists.'
+            IF (lwp) WRITE(numout, *) TRIM(cdfilename), 'already exists.'
             ! Close netcdf file
             CALL chkerr(nf90_close(ncid), cpname, __LINE__ )