Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4148)
@@ -124,5 +124,5 @@
           fr_i_tm  (:,:)         = fr_i_tm  (:,:)         + fr_i  (:,:)
           emp_tm   (:,:)         = emp_tm   (:,:)         + emp   (:,:) 
-          sfx_tm   (:,:)         = sfx_tm   (:,:)         + sfx   (:,:)
+          fmmflx_tm(:,:)         = fmmflx_tm(:,:)         + fmmflx(:,:)
           qsr_tm   (:,:)         = qsr_tm   (:,:)         + qsr   (:,:)
           wndm_tm  (:,:)         = wndm_tm  (:,:)         + wndm  (:,:)
@@ -212,5 +212,5 @@
          emp_temp   (:,:)        = emp   (:,:)
          emp_b_temp (:,:)        = emp_b (:,:)
-         sfx_temp   (:,:)        = sfx   (:,:)
+         fmmflx_temp(:,:)        = fmmflx(:,:)
          qsr_temp   (:,:)        = qsr   (:,:)
          wndm_temp  (:,:)        = wndm  (:,:)
@@ -316,5 +316,5 @@
          fr_i_tm  (:,:)          = fr_i_tm    (:,:)       + fr_i  (:,:)
          emp_tm   (:,:)          = emp_tm     (:,:)       + emp   (:,:) 
-         sfx_tm   (:,:)          = sfx_tm     (:,:)       + sfx   (:,:)
+         fmmflx_tm(:,:)          = fmmflx_tm  (:,:)       + fmmflx(:,:)
          qsr_tm   (:,:)          = qsr_tm     (:,:)       + qsr   (:,:)
          wndm_tm  (:,:)          = wndm_tm    (:,:)       + wndm  (:,:)
@@ -335,5 +335,5 @@
             qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrc 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrc 
-            sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrc 
+            fmmflx(:,:)          = fmmflx_tm  (:,:) * r1_ndttrc 
             fr_i  (:,:)          = fr_i_tm    (:,:) * r1_ndttrc
 # if defined key_trabbl
@@ -351,5 +351,5 @@
             qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrcp1 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrcp1 
-            sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrcp1 
+            fmmflx(:,:)          = fmmflx_tm  (:,:) * r1_ndttrcp1 
             fr_i  (:,:)          = fr_i_tm    (:,:) * r1_ndttrcp1 
 # if defined key_trabbl
@@ -501,5 +501,5 @@
          CALL lbc_lnk( emp   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( emp_b (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( sfx   (:,:)         , 'T', 1. ) 
+         CALL lbc_lnk( fmmflx(:,:)         , 'T', 1. ) 
          CALL lbc_lnk( qsr   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( wndm  (:,:)         , 'T', 1. ) 
@@ -601,5 +601,5 @@
       fr_i_tm(:,:) = 0._wp
       emp_tm (:,:) = 0._wp
-      sfx_tm(:,:)  = 0._wp
+      fmmflx_tm(:,:)  = 0._wp
       qsr_tm (:,:) = 0._wp
       wndm_tm(:,:) = 0._wp
@@ -708,5 +708,5 @@
       fr_i  (:,:)     =  fr_i_temp  (:,:)
       emp   (:,:)     =  emp_temp   (:,:)
-      sfx   (:,:)     =  sfx_temp   (:,:)
+      fmmflx(:,:)     =  fmmflx_temp(:,:)
       emp_b (:,:)     =  emp_b_temp (:,:)
       qsr   (:,:)     =  qsr_temp   (:,:)
@@ -827,5 +827,5 @@
       fr_i_tm    (:,:) = fr_i  (:,:)
       emp_tm     (:,:) = emp   (:,:)
-      sfx_tm     (:,:) = sfx   (:,:)
+      fmmflx_tm  (:,:) = fmmflx(:,:)
       qsr_tm     (:,:) = qsr   (:,:)
       wndm_tm    (:,:) = wndm  (:,:)
@@ -1056,5 +1056,5 @@
          &      rnf_temp(jpi,jpj)           ,  h_rnf_temp(jpi,jpj) ,     &
          &      tsn_temp(jpi,jpj,jpk,2)     ,  emp_b_temp(jpi,jpj),      &
-         &      emp_temp(jpi,jpj)           ,  sfx_temp(jpi,jpj)  ,      &
+         &      emp_temp(jpi,jpj)           ,  fmmflx_temp(jpi,jpj),     &
          &      hmld_temp(jpi,jpj)          ,  qsr_temp(jpi,jpj) ,       &
          &      fr_i_temp(jpi,jpj)          ,  fr_i_tm(jpi,jpj) ,        &
@@ -1104,5 +1104,5 @@
          &      sshv_n_tm(jpi,jpj)          ,  sshv_b_hold(jpi,jpj),     &
          &      tsn_tm(jpi,jpj,jpk,2)       ,                            &
-         &      emp_tm(jpi,jpj)             ,  sfx_tm(jpi,jpj)  ,        &
+         &      emp_tm(jpi,jpj)             ,  fmmflx_tm(jpi,jpj)  ,     &
          &      emp_b_hold(jpi,jpj)         ,                            &
          &      hmld_tm(jpi,jpj)            ,  qsr_tm(jpi,jpj) ,         &