Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/1_namelist_ref
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/1_namelist_ref	(revision 4159)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/1_namelist_ref	(revision 4161)
@@ -281,4 +281,7 @@
    ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
    rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
+   rn_vfac     = 0.        !  multiplicative factor for ocean/ice velocity
+   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
+                           !  in the calculation of the wind stress (0.=absolute winds or 1.=relative winds)
 /
 !-----------------------------------------------------------------------
@@ -350,4 +353,5 @@
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
    rn_si1      =   23.0    !  2 bands: longest depth of extinction
+   ln_qsr_ice  = .true.    !  light penetration for ice-model LIM3
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 4159)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 4161)
@@ -15,5 +15,5 @@
       <!-- T grid -->
       
-     <field_group id="grid_T" grid_ref="grid_T_2D">
+     <field_group id="grid_T" grid_ref="grid_T_2D" >
          <field id="toce"         long_name="temperature"                               unit="degC" grid_ref="grid_T_3D"/>
          <field id="soce"         long_name="salinity"                                  unit="psu"  grid_ref="grid_T_3D"/>
@@ -50,4 +50,81 @@
      </field_group>
 
+     <field_group id="Tides_T" grid_ref="grid_T_2D" operation="once" >
+	 <!-- tidal composante -->
+	 <field id="M2x"          long_name="M2 Elevation harmonic real part "                             unit="m"        />
+	 <field id="M2y"          long_name="M2 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="S2x"          long_name="S2 Elevation harmonic real part "                             unit="m"        />
+	 <field id="S2y"          long_name="S2 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="N2x"          long_name="N2 Elevation harmonic real part "                             unit="m"        />
+	 <field id="N2y"          long_name="N2 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="K1x"          long_name="K1 Elevation harmonic real part "                             unit="m"        />
+	 <field id="K1y"          long_name="K1 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="O1x"          long_name="O1 Elevation harmonic real part "                             unit="m"        />
+	 <field id="O1y"          long_name="O1 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="Q1x"          long_name="Q1 Elevation harmonic real part "                             unit="m"        />
+	 <field id="Q1y"          long_name="Q1 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="M4x"          long_name="M4 Elevation harmonic real part "                             unit="m"        />
+	 <field id="M4y"          long_name="M4 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="K2x"          long_name="K2 Elevation harmonic real part "                             unit="m"        />
+	 <field id="K2y"          long_name="K2 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="P1x"          long_name="P1 Elevation harmonic real part "                             unit="m"        />
+	 <field id="P1y"          long_name="P1 Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="Mfx"          long_name="Mf Elevation harmonic real part "                             unit="m"        />
+	 <field id="Mfy"          long_name="Mf Elevation harmonic imaginary part"                         unit="m"        />
+	 <field id="Mmx"          long_name="Mm Elevation harmonic real part "                             unit="m"        />
+	 <field id="Mmy"          long_name="Mm Elevation harmonic imaginary part"                         unit="m"        />
+     </field_group>
+	 
+     <field_group id="Tides_U" grid_ref="grid_U_2D" operation="once" >
+	 <field id="M2x_u"          long_name="M2 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="M2y_u"          long_name="M2 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="S2x_u"          long_name="S2 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="S2y_u"          long_name="S2 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="N2x_u"          long_name="N2 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="N2y_u"          long_name="N2 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="K1x_u"          long_name="K1 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="K1y_u"          long_name="K1 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="O1x_u"          long_name="O1 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="O1y_u"          long_name="O1 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Q1x_u"          long_name="Q1 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="Q1y_u"          long_name="Q1 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="M4x_u"          long_name="M4 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="M4y_u"          long_name="M4 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="K2x_u"          long_name="K2 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="K2y_u"          long_name="K2 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="P1x_u"          long_name="P1 current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="P1y_u"          long_name="P1 current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Mfx_u"          long_name="Mf current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="Mfy_u"          long_name="Mf current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Mmx_u"          long_name="Mm current barotrope along i-axis harmonic real part "      unit="m/s"        />
+	 <field id="Mmy_u"          long_name="Mm current barotrope along i-axis harmonic imaginary part " unit="m/s"        />
+     </field_group>
+	 
+     <field_group id="Tides_V" grid_ref="grid_V_2D" operation="once" >
+	 <field id="M2x_v"          long_name="M2 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="M2y_v"          long_name="M2 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="S2x_v"          long_name="S2 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="S2y_v"          long_name="S2 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="N2x_v"          long_name="N2 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="N2y_v"          long_name="N2 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="K1x_v"          long_name="K1 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="K1y_v"          long_name="K1 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="O1x_v"          long_name="O1 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="O1y_v"          long_name="O1 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Q1x_v"          long_name="Q1 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="Q1y_v"          long_name="Q1 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="M4x_v"          long_name="M4 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="M4y_v"          long_name="M4 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="K2x_v"          long_name="K2 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="K2y_v"          long_name="K2 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="P1x_v"          long_name="P1 current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="P1y_v"          long_name="P1 current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Mfx_v"          long_name="Mf current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="Mfy_v"          long_name="Mf current barotrope along j-axis harmonic imaginary part " unit="m/s"        />
+	 <field id="Mmx_v"          long_name="Mm current barotrope along j-axis harmonic real part "      unit="m/s"        />
+	 <field id="Mmy_v"          long_name="Mm current barotrope along j-axis harmonic imaginary part " unit="m/s"        />	 
+     </field_group>
+
+
       <!-- SBC -->
       
@@ -59,4 +136,6 @@
          <field id="snowpre"      long_name="Snow precipitation"                                           unit="kg/m2/s"  />
          <field id="runoffs"      long_name="River Runoffs"                                                unit="Kg/m2/s"  />
+         <field id="precip"       long_name="Total precipitation"                                           unit="kg/m2/s"  />
+
 
          <field id="qt"           long_name="Net Downward Heat Flux"                                       unit="W/m2"     />
@@ -79,32 +158,4 @@
          <field id="qhc_oce"      long_name="Downward Heat Content of E-P over open ocean"                 unit="W/m2"     />
          <field id="taum_oce"     long_name="wind stress module over open ocean"                           unit="N/m2"     />
-
-         <field id="ice_cover"    long_name="Ice fraction"                                                 unit="1"        />
-
-         <field id="ioceflxb"     long_name="Oceanic flux at the ice base"                                 unit="W/m2"     />
-         <field id="qsr_ai_cea"   long_name="Air-Ice downward solar heat flux (cell average)"              unit="W/m2"     />
-         <field id="qns_ai_cea"   long_name="Air-Ice downward non-solar heat flux (cell average)"          unit="W/m2"     />
-         <field id="qla_ai_cea"   long_name="Air-Ice downward Latent heat flux (cell average)"             unit="W/m2"     />
-         
-         <field id="qsr_io_cea"   long_name="Ice-Oce downward solar heat flux (cell average)"              unit="W/m2"     />
-         <field id="qns_io_cea"   long_name="Ice-Oce downward non-solar heat flux (cell average)"          unit="W/m2"     />
-         
-         <field id="snowthic_cea" long_name="Snow thickness (cell average)"                                unit="m"        />
-         <field id="icethic_cea"  long_name="Ice thickness (cell average)"                                 unit="m"        />
-         <field id="iceprod_cea"  long_name="Ice production (cell average)"                                unit="m/s"      />
-         
-         <field id="ice_pres"     long_name="Ice presence"                                                 unit="-"        />
-         <field id="ist_cea"      long_name="Ice surface temperature (cell average)"                       unit="degC"     />
-         <field id="ist_ipa"      long_name="Ice surface temperature (ice presence average)"               unit="degC"     />      
-         <field id="uice_ipa"     long_name="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />      
-         <field id="vice_ipa"     long_name="Ice velocity along j-axis at I-point (ice presence average)"  unit="m/s"      />      
-         
-         <field id="utau_ice"     long_name="Wind stress along i-axis over the ice at i-point"             unit="N/m2"     />
-         <field id="vtau_ice"     long_name="Wind stress along j-axis over the ice at i-point"             unit="N/m2"     />
-         
-         <field id="u_imasstr"    long_name="Sea-ice mass transport along i-axis"                          unit="kg/s"     />
-         <field id="v_imasstr"    long_name="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
-         <field id="emp_x_sst"    long_name="Concentration/Dilution term on SST"                           unit="kgC/m2/s" />
-         <field id="emp_x_sss"    long_name="Concentration/Dilution term on SSS"                         unit="kgPSU/m2/s" />
 
          <!-- available key_coupled -->
@@ -132,4 +183,77 @@
          <field id="sntoice_cea"   long_name="Snow-Ice Formation Rate (cell average)"                      unit="kg/m2/s"  />
          <field id="ticemel_cea"      long_name="Rate of Melt at Upper Surface of Sea Ice (cell average)"     unit="kg/m2/s"  />
+
+	 <!-- ice fields -->
+
+         <field id="ice_cover"    long_name="Ice fraction"                                                 unit="1"        />
+
+         <field id="ioceflxb"     long_name="Oceanic flux at the ice base"                                 unit="W/m2"     />
+         <field id="qsr_ai_cea"   long_name="Air-Ice downward solar heat flux (cell average)"              unit="W/m2"     />
+         <field id="qns_ai_cea"   long_name="Air-Ice downward non-solar heat flux (cell average)"          unit="W/m2"     />
+         <field id="qla_ai_cea"   long_name="Air-Ice downward Latent heat flux (cell average)"             unit="W/m2"     />
+         
+         <field id="qsr_io_cea"   long_name="Ice-Oce downward solar heat flux (cell average)"              unit="W/m2"     />
+         <field id="qns_io_cea"   long_name="Ice-Oce downward non-solar heat flux (cell average)"          unit="W/m2"     />
+         
+         <field id="snowthic_cea" long_name="Snow thickness (cell average)"                                unit="m"        />
+         <field id="icethic_cea"  long_name="Ice thickness (cell average)"                                 unit="m"        />
+         <field id="iceprod_cea"  long_name="Ice production (cell average)"                                unit="m/s"      />
+         
+         <field id="ice_pres"     long_name="Ice presence"                                                 unit="-"        />
+         <field id="ist_cea"      long_name="Ice surface temperature (cell average)"                       unit="degC"     />
+         <field id="ist_ipa"      long_name="Ice surface temperature (ice presence average)"               unit="degC"     />      
+         <field id="uice_ipa"     long_name="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />      
+         <field id="vice_ipa"     long_name="Ice velocity along j-axis at I-point (ice presence average)"  unit="m/s"      />      
+         
+         <field id="utau_ice"     long_name="Wind stress along i-axis over the ice at i-point"             unit="N/m2"     />
+         <field id="vtau_ice"     long_name="Wind stress along j-axis over the ice at i-point"             unit="N/m2"     />
+         
+         <field id="u_imasstr"    long_name="Sea-ice mass transport along i-axis"                          unit="kg/s"     />
+         <field id="v_imasstr"    long_name="Sea-ice mass transport along j-axis"                          unit="kg/s"     />
+         <field id="emp_x_sst"    long_name="Concentration/Dilution term on SST"                           unit="kgC/m2/s" />
+         <field id="emp_x_sss"    long_name="Concentration/Dilution term on SSS"                         unit="kgPSU/m2/s" />        
+         
+         
+         <field id="iceconc"      long_name="ice concentration"                                            unit="%"        />
+         <field id="icebopr"      long_name="daily bottom thermo ice prod."                                unit="km3/day"   />
+         <field id="icedypr"      long_name="daily  dynamic ice prod."                                     unit="km3/day"   />
+	 <field id="ioceflxb"     long_name="Oceanic flux at the ice base"                                 unit="W/m2"     />
+         <field id="uice_ipa"     long_name="Ice velocity along i-axis at I-point (ice presence average)"  unit="m/s"      />
+         <field id="vice_ipa"     long_name="Ice velocity along j-axis at I-point (ice presence average)"  unit="m/s"      />
+       	 <field id="isst"         long_name="sea surface temperature"                                      unit="degC"     />
+         <field id="isss"         long_name="sea surface salinity"                                         unit="psu"      /> 
+         <field id="qt_oce"       long_name="total flux at ocean surface"                                  unit="W/m2"     />
+         <field id="qsr_oce"      long_name="solar heat flux at ocean surface"                             unit="W/m2"     />
+         <field id="qns_oce"      long_name="non-solar heat flux at ocean surface"                         unit="W/m2"     />
+         <field id="hfbri"        long_name="heat flux due to brine release"                               unit="W/m2"     />
+         <field id="utau_ice"     long_name="Wind stress along i-axis over the ice at i-point"             unit="N/m2"     />
+         <field id="vtau_ice"     long_name="Wind stress along j-axis over the ice at i-point"             unit="N/m2"     />
+	 <field id="qsr_io"       long_name="Ice-Oce downward solar heat flux"                             unit="W/m2"     />
+	 <field id="qns_io"       long_name="Ice-Oce downward non-solar heat flux"                         unit="W/m2"     />
+         <field id="micesalt"     long_name="Mean ice salinity"                                            unit="psu"      />
+         <field id="miceage"      long_name="Mean ice age"                                                 unit="years"    />
+         <field id="icelapr"      long_name="daily lateral thermo ice prod."                               unit="km3/day"   />
+         <field id="icesipr"      long_name="daily snowice ice prod."                                      unit="km3/day"   />
+         <field id="micet"        long_name="Mean ice temperature"                                         unit="degC"     />
+         <field id="icehc"        long_name="ice total heat content"                                       unit="10^9 J"   /> 
+         <field id="isnowhc"      long_name="snow total heat content"                                      unit="10^9J"    />
+         <field id="icest"        long_name="ice surface temperature"                                      unit="degC"     />
+         <field id="sfxbri"       long_name="brine salt flux"                                              unit="psu*kg/m2/day" />
+         <field id="sfxthd"       long_name="equivalent FW salt flux"                                      unit="psu*kg/m2/day" />
+         <field id="ibrinv"       long_name="brine volume"                                                 unit="%"        />
+         <field id="icecolf"      long_name="frazil ice collection thickness"                              unit="m"        />
+         <field id="icestr"       long_name="ice strength"                                                 unit="N/m"      />
+         <field id="icevel"       long_name="ice velocity"                                                 unit="m/s"      />
+         <field id="isume"        long_name="surface melt"                                                 unit="km3/day"   />
+         <field id="ibome"        long_name="bottom melt"                                                  unit="km3/day"   />
+         <field id="idive"        long_name="divergence"                                                   unit="10-8s-1"  />
+         <field id="ishear"       long_name="shear"                                                        unit="10-8s-1"  />
+         <field id="icerepr"      long_name="daily resultant ice prod./melting from limupdate"             unit="km3/day"   />
+         <field id="icevolu"      long_name="ice volume"                                                   unit="km3"      />
+         <field id="snowvol"      long_name="snow volume"                                                  unit="km3"      />
+         <field id="sfxmec"       long_name="salt flux from ridging rafting"                               unit="psu*kg/m2/day" />
+         <field id="sfxres"       long_name="salt flux from lipupdate (resultant)"                         unit="psu*kg/m2/day" />
+         <field id="icetrp"       long_name="ice volume transport"                                         unit="km3/day"   />
+
 
       </field_group>
@@ -214,4 +338,36 @@
          <field id="saltot"     long_name="global mean salinity"                       unit="psu"  />
          <field id="fram_trans" long_name="Sea Ice Mass Transport Through Fram Strait" unit="kg/s" />
+   	 <!-- available with ln_diahsb -->
+	 <field id="bgtemper"     long_name="global mean temperature"                  unit="degC"   />
+	 <field id="bgsaline"     long_name="global mean salinity"                     unit="psu"    />
+	 <field id="bgheatco"     long_name="global mean heat content"                 unit="10^9J"  />
+	 <field id="bgsaltco"     long_name="global mean salt content"                 unit="psu*m3" />
+	 <field id="bgvolssh"     long_name="global mean ssh volume"                   unit="km3"     />
+	 <field id="bgvoltot"     long_name="global mean volume"                       unit="km3"     />
+	 <field id="bgsshtot"     long_name="global mean ssh"                          unit="m"      />
+	 <field id="bgfrcvol"     long_name="global mean volume from forcing"          unit="km3"     />
+	 <field id="bgfrctem"     long_name="global mean heat content from forcing"    unit="10^9J"  />
+	 <field id="bgfrcsal"     long_name="global mean salt content from forcing"    unit="psu*km3" />
+      </field_group>
+
+      <field_group id="SBC_scalar"  domain_ref="1point" >
+         <!-- available with ln_limdiahsb -->
+	 <field id="ibgvoltot"    long_name="global mean ice volume"                   unit="km3"   />
+	 <field id="sbgvoltot"    long_name="global mean snow volume"                  unit="km3"   />
+	 <field id="ibgarea"      long_name="global mean ice area"                     unit="km2"   />
+	 <field id="ibgsaline"    long_name="global mean ice salinity"                 unit="psu"   />
+	 <field id="ibgtemper"    long_name="global mean ice temperature"              unit="degC"   />
+	 <field id="ibgheatco"    long_name="global mean ice heat content"             unit="10^9J"   />
+	 <field id="ibgsaltco"    long_name="global mean ice salt content"             unit="psu*km3"   />
+	 <field id="sbgheatco"    long_name="global mean snow heat content"            unit="10^9J"   />
+	 <field id="ibgfrcsfx"    long_name="global mean salt content from sfx"        unit="psu*km3"   />
+	 <field id="ibgfrcemp"    long_name="global mean volume from emp"              unit="km3"      />
+	 <field id="ibgsfx"       long_name="global mean emps"                         unit="psu*kg/m2/day"   />
+	 <field id="ibgemp"       long_name="global mean emp"                          unit="kg/m2/day"   />
+	 <field id="ibgsfxbri"    long_name="global mean ice sfx_bri"                  unit="psu*kg/m2/day"   />
+	 <field id="ibgsfxthd"    long_name="global mean ice sfx_thd"                  unit="psu*kg/m2/day"   />
+	 <field id="ibgsfxres"    long_name="global mean ice sfx_res"                  unit="psu*kg/m2/day"   />
+	 <field id="ibgsfxmec"    long_name="global mean ice fsalt_rpo"                unit="psu*kg/m2/day"   />
+	 <field id="ibggrpme"     long_name="global mean ice growth+melt volume"       unit="km3"      />
       </field_group>
   
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim2_ref
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim2_ref	(revision 4159)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim2_ref	(revision 4161)
@@ -54,4 +54,5 @@
    telast      =   9600    !  timescale for EVP elastic waves
    alphaevp    =   1.0     !  coefficient for the solution of EVP int. stresses
+   hminrhg     =   0.05     !  ice thickness (m) below which ice velocity equal ocean velocity
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 4159)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 4161)
@@ -14,13 +14,13 @@
 &namicerun     !   Share parameters for dynamics/advection/thermo
 !-----------------------------------------------------------------------
-   cn_icerst_in  = "restart_ice_in"   !  suffix of ice restart name (input)
+   cn_icerst_in  = "restart_ice"   !  suffix of ice restart name (input)
    cn_icerst_out = "restart_ice"      !  suffix of ice restart name (output)
    ln_limdyn   = .true.    !  ice dynamics (T) or thermodynamics only (F)
-   acrit       =  1.0e-02 , 1.0e-02  !  minimum fraction for leads in the Northern (Southern) Hemisphere
-   hsndif      =  0.0      !  computation of temperature in snow (=0.0) or not
-   hicdif      =  0.0      !  computation of temperature in ice  (=0.0) or not (=9999.0)
+   amax        = 0.999      !  maximum ice concentration
    cai         =  1.40e-3  !  atmospheric drag over sea ice
    cao         =  1.00e-3  !  atmospheric drag over ocean
    ln_nicep    = .false.   !  Ice points output for debug (yes or no)
+   ln_limdiahsb  = .false.    !  check the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .false.    !  output the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------
@@ -30,12 +30,8 @@
    hninn       =  0.3      !  initial snow thickness in the north
    hnins       =  0.1      !        "            "          south
-   hginn_u     =  3.50     !  initial undeformed ice thickness in the north
-   hgins_u     =  1.0      !        "            "              "     south
-   aginn_u     =  0.95     !  initial undeformed ice concentration in the north
-   agins_u     =  0.9      !        "            "              "         south
-   hginn_d     =  0.0      !  initial  deformed  ice thickness     in the north
-   hgins_d     =  0.0      !  
-   aginn_d     =  0.00     !  initial  deformed  ice concentration in the north
-   agins_d     =  0.00     !        "            "              "         south
+   hginn       =  3.50     !  initial undeformed ice thickness in the north
+   hgins       =  1.0      !        "            "              "     south
+   aginn       =  0.95     !  initial undeformed ice concentration in the north
+   agins       =  0.9      !        "            "              "         south
    sinn        =  6.301    !  initial salinity in the north
    sins        =  6.301    !        "            "    south
@@ -62,4 +58,5 @@
    telast      =9600.0     !  timescale for elastic waves, SB, 720.0
    alphaevp    =   1.0     !  coefficient for the solution of internal ice stresses
+   hminrhg     =   0.05     !  ice thickness (m) below which ice velocity equal ocean velocity
 /
 !-----------------------------------------------------------------------
@@ -80,5 +77,4 @@
    hicmin      = 0.2       !  ice thickness corr. to max. energy stored in brine pocket
    hiclim      = 0.10      !  minimum ice thickness
-   amax        = 0.999     !  maximum lead fraction
    sbeta       = 1.        !  numerical caracteritic of the scheme for diffusion in ice
                            !        Cranck-Nicholson (=0.5), implicit (=1), explicit (=0)
@@ -145,8 +141,13 @@
    ninfo       = 1         !  frequency of ouputs on file ice_evolu in case of averaging
 /
+!!-----------------------------------------------------------------------
+!&namicehsb       !  Heat and salt budgets 
+!!-----------------------------------------------------------------------
+!
+!/
 !-----------------------------------------------------------------------
 &namiceout     !   parameters for outputs
 !-----------------------------------------------------------------------
-   noumef      =   37      !  number of fields
+   noumef      =   43      !  number of fields
    add_diag_swi=    1      !  1 -> diagnose distribution in thickness space
                            !  0 -> only simple diagnostics
@@ -157,6 +158,6 @@
    field_2  = 'Ice thickness                      ', 'iicethic', 'm       ',    1   ,  1.0     ,    0.0
    field_3  = 'Snow thickness                     ', 'isnowthi', 'm       ',    1   ,  1.0     ,    0.0
-   field_4  = 'Daily bottom thermo ice production ', 'iicebopr', 'cm/day  ',    1   , 100.     ,    0.0
-   field_5  = 'Daily dynamic ice production       ', 'iicedypr', 'cm/day  ',    1   , 100.     ,    0.0
+   field_4  = 'Daily bottom thermo ice production ', 'iicebopr', 'km3/day ',    1   , 1.0e-9   ,    0.0
+   field_5  = 'Daily dynamic ice production       ', 'iicedypr', 'km3/day ',    1   , 1.0e-9   ,    0.0
    field_6  = 'Oceanic flux at the ice base       ', 'ioceflxb', 'w/m2    ',    1   ,  1.0     ,    0.0
    field_7  = 'Ice velocity u                     ', 'iicevelu', 'm/s     ',    1   ,  1.0     ,    0.0
@@ -172,22 +173,29 @@
    field_17 = 'Solar flux at ice/ocean surface    ', 'iicesflx', 'w/m2    ',    1   ,  1.0     ,    0.0
    field_18 = 'Non-solar flux at ice/ocean surface', 'iicenflx', 'w/m2    ',    1   ,  1.0     ,    0.0
-   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/day  ',    1   ,  1.0     ,    0.0
+   field_19 = 'Snow precipitation                 ', 'isnowpre', 'kg/m2/d ',    1   ,  1.0     ,    0.0
    field_20 = 'Mean ice salinity                  ', 'iicesali', 'psu     ',    1   ,  1.0     ,    0.0
    field_21 = 'Mean ice age                       ', 'iiceages', 'years   ',    1   ,  0.002739,    0.0
-   field_22 = 'Daily lateral thermo ice prod.     ', 'iicelapr', 'cm/day  ',    1   ,100.      ,    0.0
-   field_23 = 'Daily snowice ice production       ', 'iicesipr', 'cm/day  ',    1   ,100.      ,    0.0
+   field_22 = 'Daily lateral thermo ice prod.     ', 'iicelapr', 'km3/day ',    1   ,1.0e-9    ,    0.0
+   field_23 = 'Daily snowice ice production       ', 'iicesipr', 'km3/day ',    1   ,1.0e-9    ,    0.0
    field_24 = 'Mean ice temperature               ', 'iicetemp', 'C       ',    1   ,  1.0     , -273.15
    field_25 = 'Ice total heat content             ', 'iiceheco', '10^9 J  ',    1   ,  1.0     ,    0.0
    field_26 = 'Ice surface temperature            ', 'iicesurt', 'C       ',    1   ,  1.0     , -273.15
    field_27 = 'Snow temperature                   ', 'isnotem2', 'C       ',    1   ,  1.0     , -273.15
-   field_28 = 'Fsbri - brine salt flux            ', 'iicfsbri', 'kg/m2/s ',    1   ,  1.0     ,    0.0
-   field_29 = 'Fseqv - equivalent FW salt flux    ', 'iicfseqv', 'kg/m2/s ',    1   ,  1.0     ,    0.0
+   field_28 = 'Fsbri - brine salt flux            ', 'iicefsbr', 'kg/m2/d ',    1   ,  1.0     ,    0.0
+   field_29 = 'Fseqv - equivalent FW salt flux    ', 'iicefseq', 'kg/m2/d ',    1   ,  1.0     ,    0.0
    field_30 = 'Brine volume                       ', 'ibrinvol', '%       ',    1   ,  100.0   ,    0.0
    field_31 = 'Frazil ice collection thickness    ', 'iicecolf', 'm       ',    1   ,  1.0     ,    0.0
    field_32 = 'Ice strength                       ', 'iicestre', 'N/m     ',    1   ,  0.001   ,    0.0
    field_33 = 'Ice velocity                       ', 'iicevelo', 'm/s     ',    1   ,  1.0     ,    0.0
-   field_34 = 'Surface melt                       ', 'iicesume', 'cm/day  ',    1   ,100.      ,    0.0
-   field_35 = 'Bottom melt                        ', 'iicebome', 'cm/day  ',    1   ,100.      ,    0.0
+   field_34 = 'Surface melt                       ', 'iicesume', 'km3/day ',    1   ,1.0e-9    ,    0.0
+   field_35 = 'Bottom melt                        ', 'iicebome', 'km3/day ',    1   ,1.0e-9    ,    0.0
    field_36 = 'Divergence                         ', 'iicedive', '10-8s-1 ',    1   ,  1.0e8   ,    0.0
    field_37 = 'Shear                              ', 'iiceshea', '10-8s-1 ',    1   ,  1.0e8   ,    0.0
-/      
+   field_38 = 'Daily resultant ice prod/melt      ', 'iicerepr', 'km3/day ',    1   ,  1.0e-9  ,    0.0
+   field_39 = 'Ice volume                         ', 'iicevolu', 'km3     ',    1   ,  1.0e-9  ,    0.0
+   field_40 = 'Snow volume                        ', 'isnowvol', 'km3     ',    1   ,  1.0e-9  ,    0.0
+   field_41 = 'Fsrpo - salt flux from ridg/raft   ', 'iicefsrp', 'kg/m2/d ',    1   ,  1.0     ,    0.0
+   field_42 = 'Fsres - salt flux from limupdate   ', 'iicefsre', 'kg/m2/d ',    1   ,  1.0     ,    0.0
+   field_43 = 'Ice volume transport               ', 'iicevtrp', 'km3/day ',    1   ,1.0e-9    ,    0.0
+/ 
+
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4159)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4161)
@@ -283,4 +283,7 @@
    ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
    rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
+   rn_vfac     = 0.        !  multiplicative factor for ocean/ice velocity
+   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
+                           !  in the calculation of the wind stress (0.=absolute winds or 1.=relative winds)
 /
 !-----------------------------------------------------------------------
@@ -352,4 +355,5 @@
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
    rn_si1      =   23.0    !  2 bands: longest depth of extinction
+   ln_qsr_ice  = .true.    !  light penetration for ice-model LIM3
 /
 !-----------------------------------------------------------------------