Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 4167)
@@ -446,16 +446,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'flather'            !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'frs'                !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 4167)
@@ -453,16 +453,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 4167)
@@ -453,16 +453,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 4167)
@@ -448,16 +448,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist	(revision 4167)
@@ -429,16 +429,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 4167)
@@ -429,16 +429,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
Index: branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist
===================================================================
--- branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist	(revision 3990)
+++ branches/2013/dev_r3987_METO1_MERCATOR6_OBC_BDY_merge/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist	(revision 4167)
@@ -445,16 +445,16 @@
     ln_mask_file = .false.                !  =T : read mask from file
     cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
+    cn_dyn2d      =  'none'               !  boundary conditions for barotropic fields
     nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  boundary conditions for baroclinic velocities
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               !  boundary conditions for T and S
     nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nn_rimwidth  = 10                     !  width of the relaxation zone
     ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
     nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero